Root themes
List the company's root themes
Get all root themes with optional filters
GET
/
api
/
root_themes
List the company's root themes
curl --request GET \
--url https://api.fluid.app/api/root_themes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/root_themes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/root_themes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"root_themes": [
{
"id": 123,
"name": "<string>",
"description": {
"id": 123,
"name": "<string>",
"body": "<string>",
"record_type": "<string>",
"record_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"locale": "<string>"
},
"cover_image": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"version": "<string>",
"demo_url": "<string>",
"status": "<string>",
"images": [
{
"id": 123,
"url": "<string>",
"position": 123
}
],
"theme_versions": [
{
"id": 123,
"version": "<string>",
"zip_file_url": "<string>",
"released_at": "2023-11-07T05:31:56Z",
"changelog": "<string>",
"status": "<string>"
}
],
"creator": {
"id": 123,
"name": "<string>"
}
}
],
"meta": {
"request_id": "<string>",
"timestamp": "<string>",
"total_count": 123,
"total_pages": 123,
"current_page": 123,
"per_page": 123
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Query Parameters
Page number for pagination
Number of records per page
Filter themes by status of their versions (draft, publishing, rejected, published)
Available options:
draft, publishing, rejected, published Example:
"draft"
Search themes by name
Example:
"modern"
⌘I
List the company's root themes
